elm_code_text.h File Reference

These routines are used for interacting with the textual content of files/lines in Elm Code. More...

## Macros

#define | ELM_CODE_TEXT_NOT_FOUND -1

## Functions

const char * | elm_code_line_text_get (Elm_Code_Line *line, unsigned int *length)
void | elm_code_line_text_set (Elm_Code_Line *line, const char *chars, unsigned int length)
int | elm_code_line_text_strpos (Elm_Code_Line *line, const char *search, int offset)
Eina_Bool | elm_code_line_text_contains (Elm_Code_Line *line, const char *search)
char * | elm_code_line_text_substr (Elm_Code_Line *line, unsigned int position, int length)
void | elm_code_line_text_insert (Elm_Code_Line *line, unsigned int position, const char *string, int length)
void | elm_code_line_text_remove (Elm_Code_Line *line, unsigned int position, int length)
void | elm_code_line_text_leading_whitespace_strip (Elm_Code_Line *line)
void | elm_code_line_text_trailing_whitespace_strip (Elm_Code_Line *line)
int | elm_code_text_strnpos (const char *text, unsigned int length, const char *search, int offset)
int | elm_code_text_newlinenpos (const char *text, unsigned int length, short *nllen)
unsigned int | elm_code_text_is_whitespace (const char *text, unsigned int length)

## Detailed Description

These routines are used for interacting with the textual content of files/lines in Elm Code.